(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Technology
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Cobb-Douglas Production Functions
:[font = text; inactive; preserveAspect; ]
We use Cobb-Douglas production functions a lot in our examples, so it makes sense to get a good idea of what they look like.   Here is the simplest example:

:[font = input; preserveAspect; ]
ContourPlot[x1 x2,{x1,0,10},{x2,0,10},ContourShading->False]
:[font = text; inactive; preserveAspect; ]
Let's see what happens to the CD production function as we vary the parameter a.
;[s]
3:0,0;78,1;79,2;80,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Do[
	ContourPlot[x1^a x2^(1-a),{x1,0,10},{x2,0,10},
	ContourShading->False,
	ContourSmoothing->True,
	PlotPoints->20],
   {a,0.1,0.9,0.05}]
:[font = text; inactive; preserveAspect; endGroup; ]
After Mathematica has generated this set of graphs, click on the second bracket from the left---the one containing the entire set of graphs---and press Control-y.  Mathematica will animate the set of graphs and you can see how the shape of the isoquants changes as you change the parameter a.
;[s]
6:0,0;6,1;17,2;164,3;175,4;290,5;292,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Leontieff Production Function
:[font = text; inactive; preserveAspect; ]
Here's a picture of the Leontieff production function.  Again, we  we change the parameter a. 
;[s]
3:0,0;91,1;92,2;94,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Do[
ContourPlot[Min[a x1,(10-a)x2],{x1,1,10},{x2,1,10},
ContourShading->False,
PlotPoints->50],{a,1,9}]

:[font = text; inactive; preserveAspect; ]
Here's what happens if we have two Leontieff technologies.  We can put any amount of input into one or the other
:[font = input; preserveAspect; ]
ContourPlot[Min[x1,2 x2]+Min[2 x1,x2],{x1,1,10},{x2,1,10},
ContourShading->False,PlotPoints->50]

:[font = text; inactive; preserveAspect; ]
Let's try to build up something that looks like a Cobb-Douglas production function out of Leontieff functions.   To do this, we want to pick the parameters of the Leontieff function to lie on the CD isoquant.  First we'll generate a list of plots, and then we'll superimpose them:
:[font = input; preserveAspect; ]
listOfPlots=
Table[
	ContourPlot[Min[a x1, x2/a], {x1,1,10},{x2,1,10},
	ContourShading->False, Contours->{4}],
{a,.5,2,.1}]
:[font = input; preserveAspect; ]
Show[listOfPlots]
:[font = text; inactive; preserveAspect; endGroup; ]
It's a little ragged, but the idea is there.  If you want to make it look nicer, set PlotPoints->50 or so in the original commands.  However, this will take a lot longer to plot.
;[s]
3:0,0;85,1;99,2;179,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Technical Rate of Substitution
:[font = text; inactive; preserveAspect; ]
We saw in the text that the Technical Rate of Substitution of the Cobb-Douglas production function is given by (x2/x1).   Let's draw lines with this slope that pass through each point on the curve  x1*x2=10.

The formula for a straight line  with coordinates (y1,y2) that passes through a point (x1,x2) is 
                y2 = x2 + m (x1 - y1).
At a given point on the isoquant, (x1,x2), the  slope of the tangent line is x2/x1.
Making this substitution gives us
                 y2 = x2 - (x2/x1)(x1 - y1).
Finally, since the points (x1,x2) are all on the isoquant, x2=10/x1.  Making this substitution gives us
                 y2 = 10/x1 - (10/x1^2)(x1 - y1).
We want to plot this family of lines for a number of values of  x1.  In order to do this we will use the Mathematica function Table .  We  can construct a list of  10 of these straight lines as follow
;[s]
30:0,0;110,1;111,2;118,3;198,4;206,5;259,6;266,7;295,8;302,9;322,10;344,11;379,12;389,13;423,14;428,15;480,16;507,17;534,18;543,19;566,20;579,21;629,22;661,23;727,24;732,25;768,26;779,27;789,28;794,29;863,-1;
30:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Table[10/x1 - (10/x1^2)(x1 - y1),{x1,1,10}]
:[font = text; inactive; preserveAspect; ]
Now we just feed this list of functions into the Plot command.  However, before we do that we need to Evaluate the table, to convert it to a form that Plot can understand.
We also set the AspectRatio and the PlotRange so the graph will look nice.
;[s]
11:0,0;49,1;54,2;102,3;110,4;151,5;155,6;188,7;199,8;208,9;217,10;247,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[Evaluate[Table[10/x1 - (10/x1^2)(y1-x1),{x1,1,20}]],
{y1,0,10},AspectRatio->1,PlotRange->{{0,10},{0,10}}]
:[font = text; inactive; preserveAspect; endGroup; ]
Notice how the set of tangent lines "reconstruct" the isoquant x1*x2=10.  The family of  tangent lines completely describes the shape of the isoquant.  This simply geometric fact will have profound consequences later on.
;[s]
3:0,0;63,1;74,2;220,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Homothetic and Homogeneous Functions
:[font = text; inactive; preserveAspect; ]

It is easy to recognize a homothetic function since the formula for it's tangent lines will only depend on x1/x2.  This is just another way of saying that the TRS is constant along lines through the origin.  This is trivial to verify for the Cobb-Douglas production function, so let's look at the CES production function.  It is convenient to define the CES production function first.
;[s]
3:0,0;108,1;113,2;386,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
CES[x1_,x2_, rho_] := (x1^rho + x2^rho)^(1/rho)
:[font = text; inactive; preserveAspect; ]
The TRS for this function is given by
:[font = input; Cclosed; preserveAspect; startGroup; ]
D[CES[x1,x2,rho],x1]/D[CES[x1,x2,rho],x2]
:[font = output; output; inactive; preserveAspect; endGroup; ]
x1^(-1 + rho)*x2^(1 - rho)
;[o]
  -1 + rho   1 - rho
x1         x2
:[font = text; inactive; preserveAspect; ]
It is easy to see that this is just (x2/x1)^(1-rho).
;[s]
3:0,0;36,1;51,2;53,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]

:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The CES production function
:[font = text; inactive; preserveAspect; ]

Let's take a look at how the CES production function changes as the parameter changes.  First we generate a series of plots of the function, then we animate it by choosing a plot and hitting Control-y.
:[font = input; preserveAspect; endGroup; endGroup; ]
Do[
	ContourPlot[(.5 x1^rho + .5 x2^rho)^(1/rho),{x1,1,10},{x2,1,10},
	ContourShading->False,
	PlotPoints->20],
   {rho,1.05,-10,-1}]
^*)