(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Profit Function
:[font = subsubtitle; inactive; preserveAspect; ]
Hal R. Varian
January, 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Profit function
:[font = text; inactive; preserveAspect; ]
Recall the profit function for the Cobb-Douglas technology that we derived in the last chapter.   We will repeat the derivation here without comment, since we already saw it done in the previous chapter.  
:[font = input; preserveAspect; ]
f[x1_,x2_] := (x1^(1/4))*(x2^(1/4))
Profit[x1_,x2_,p_,w1_,w2_] := p*f[x1,x2] - w1*x1 - w2*x2
solution=Solve[{D[Profit[x1,x2,p,w1,w2],x1]==0, 
                D[Profit[x1,x2,p,w1,w2],x2]==0},
                {x1,x2}][[1]]
pi[p_,w1_,w2_] := Evaluate[Profit[x1,x2,p,w1,w2]/.solution]
pi[p,w1,w2]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Convexity of the profit function
:[font = text; inactive; preserveAspect; ]
Let's graph this function to make sure that it is really convex.  First we'll fix w1 and w2 and look at how the function behaves with respect to p. 
;[s]
7:0,0;82,1;84,2;89,3;91,4;144,5;146,6;149,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[pi[p,1,1],{p,1,4}]
:[font = text; inactive; preserveAspect; ]
Now let's look at a 3D-plot and a contour plot, fixing p at 1.
;[s]
3:0,0;55,1;56,2;63,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot3D[pi[1,w1,w2],{w1,1,50},{w2,1,50}]
:[font = input; preserveAspect; endGroup; ]
ContourPlot[pi[1,w1,w2],{w1,1,50},{w2,1,50},ContourShading->False]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Hotelling's identity
:[font = text; inactive; preserveAspect; ]
Finally, we want to verify that we satisfy Hotelling's identity, so we'll compute the derivatives of the profit function with respect to w1  and compare it to the factor demand functions.  
;[s]
3:0,0;137,1;139,2;189,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
deriv[p_,w1_,w2_]:=-Evaluate[Simplify[D[pi[p,w1,w2],w1]]]
factorDemand1[p_,w1_,w2_] := Evaluate[Simplify[x1/.solution]]
deriv[p,w1,w2]-factorDemand1[p,w1,w2]==0
:[font = text; inactive; preserveAspect; ]
Mathematica doesn't recognize that this is True.  So let's try a plot:
;[s]
2:0,0;11,1;70,-1;
2:1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot3D[Evaluate[deriv[1,w1,w2]-factorDemand1[1,w1,w2]],{w1,1,50},{w2,1,50}]
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
That's reasonably convincing...
^*)