(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Cost Function
:[font = subsubtitle; inactive; preserveAspect; ]
Hal R. Varian
January, 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
U-shaped average costs
:[font = text; inactive; preserveAspect; ]
Undergraduate texts are full of U-shaped average cost curves,  but it is rare to see an accurate plot of one.  Let's try to do this for the cost function c[y]=y^a+F.  First we'll set values for the two parameters, a and F, and then calculate the various curves.  Finally, we'll plot them.
;[s]
3:0,0;154,1;167,2;288,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
a=2
F=1
c[y_] := y^a + F
AC[y_] := c[y]/y
AVC[y_] := y^a/y
MC[y_] := Evaluate[D[c[y],y]]
:[font = input; preserveAspect; ]
Plot[{AC[y],AVC[y],MC[y]},{y,.001,5}]
:[font = text; inactive; preserveAspect; ]
Let's do the same graph with a=4
:[font = input; preserveAspect; endGroup; ]
a=4
c[y_] := y^a + F
AC[y_] := c[y]/y
AVC[y_] := y^a/y
MC[y_] := Evaluate[D[c[y],y]]
Plot[{AC[y],AVC[y],MC[y]},{y,.001,3}]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Long-run and short-run costs
:[font = text; inactive; preserveAspect; ]
Let's try to get Mathematica to draw the long-run average cost curve as the envelope of short-run average cost curves.   First we have to compute a short-run average cost function.   Since there is only one variable factor, we don't have to do any minimization---we simply solve for the variable input as a function of the output and the fixed factor.
:[font = input; preserveAspect; ]
f[x1_,x2_] := x1^(1/2) x2^(1/2)
solution1=Solve[y==f[x1,x2],x1][[1]]
cs[w1_,w2_,y_,x2_]:= Evaluate[(w1 x1 + w2 x2)/.solution1]
acs[w1_,w2_,y_,x2_] := Evaluate[cs[w1,w2,y,x2]/y]
acs[w1,w2,y,x2]
:[font = text; inactive; preserveAspect; ]
Now that we have the short run average cost function, we have to solve for the long-run cost function.  To do this we differentiate long-run costs with respect to the long-run factor, and set this derivative equal to zero.  Then we substitute this result into the short-run cost function and divide by output to get the short-run average cost function.
:[font = input; preserveAspect; ]
solution2=Solve[D[cs[w1,w2,y,x2],x2]==0,x2][[1]]
cl[w1_,w2_,y_] := Evaluate[cs[w1,w2,y,x2]/.solution2]
acl[w1_,w2_,y_]:= Evaluate[cl[w1,w2,y]/y]
acl[w1,w2,y]
:[font = input; preserveAspect; ]
Plot[{acl[1,1,y],acs[1,1,y,5],acs[1,1,y,10],acs[1,1,y,15],
acs[1,1,y,20]},{y,1,30},AxesOrigin->{0,0},PlotStyle->
{Thickness[1/100],Thickness[1/300],
Thickness[1/300],Thickness[1/300],Thickness[1/300]}]
:[font = text; inactive; preserveAspect; endGroup; ]
Note how the long-run average cost curve is the envelope of the short-run curves.  [The options in the graph just make things look a little clearer.]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Shephard's Lemma
:[font = text; inactive; preserveAspect; ]
Take the production function
:[font = input; preserveAspect; ]
f[x1_,x2_] := x1 x2
L=w1 x1 + w2 x2 - lambda*(f[x1,x2]-y)
solution=Solve[{D[L,x1]==0,D[L,x2]==0,D[L,lambda]==0},{x1,x2,lambda}][[1]]
c[w1_,w2_,y_] = w1 x1 + w2 x2 /.solution
:[font = text; inactive; preserveAspect; ]
Now check the derivatives of the cost function with respect to each of the variables:
:[font = input; preserveAspect; ]
{D[c[w1,w2,y],y],D[c[w1,w2,y],w2],D[c[w1,w2,y],w1]}
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Note that lambda equals marginal cost, and that the derivatives with respect to the price variables gives the conditional factor demands.
;[s]
3:0,0;10,1;16,2;138,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
^*)