(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Duality
:[font = subsubtitle; inactive; preserveAspect; ]
Hal R. Varian
January, 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Graphical duality
:[font = text; inactive; preserveAspect; ]
Duality says that we can recover the input requirement set if we know the cost function or the conditional factor demand functions.  Here is a graphical demonstration of this fact.

We know that the TRS of the Cobb-Douglas production function is given by -(x2/x1).    Let's draw lines with this slope that pass through each point on the curve  x1*x2=10.

The formula for a straight line  with coordinates (y1,y2) that passes through a point (x1,x2) is 
                y2 = x2 + m (x1 - y1).
At a given point on the isoquant, (x1,x2), the  slope of the tangent line is x2/x1.
Making this substitution gives us
                 y2 = x2 - (x2/x1)(x1 - y1).
Finally, since the points (x1,x2) are all on the isoquant, x2=10/x1.  Making this substitution gives us
                 y2 = 10/x1 - (10/x1^2)(x1 - y1).
We want to plot this family of lines for a number of values of  x1.  In order to do this we will use the Mathematica function Table .  We  can construct a list of  10 of these straight lines as follows
;[s]
17:0,0;255,1;263,2;344,3;352,4;405,5;412,6;441,7;448,8;469,9;490,10;627,11;653,12;775,13;807,14;873,15;875,16;1011,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Table[10/x1 - (10/x1^2)(x1 - y1),{x1,1,10}]
:[font = text; inactive; preserveAspect; ]
Now we just feed this list of functions into the Plot command.  However, before we do that we need to Evaluate the table, to convert it to a form that Plot can understand.
We also set the AspectRatio and the PlotRange so the graph will look nice.
;[s]
11:0,0;49,1;54,2;102,3;110,4;151,5;155,6;188,7;199,8;208,9;217,10;247,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[Evaluate[Table[10/x1 - (10/x1^2)(y1-x1),{x1,1,20}]],
{y1,0,10},AspectRatio->1,PlotRange->{{0,10},{0,10}}]
:[font = text; inactive; preserveAspect; endGroup; ]
Notice how the set of tangent lines "reconstruct" the isoquant x1*x2=10.  
;[s]
2:0,0;63,1;74,-1;
2:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Recovering the technology algebraically
:[font = text; inactive; preserveAspect; ]
Suppose that we are given a cost function and want to calculate the production function that generated it.  We simply calculate the factor demands and eliminate w1 and w2 from this system of equations.  Here's an example:
;[s]
5:0,0;161,1;163,2;168,3;170,4;221,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
c[w1_,w2_,y] = (w1^(1/2) * w2^(1/2))y
:[font = input; preserveAspect; ]
factorDemands={D[c[w1,w2,y],w1],D[c[w1,w2,y],w2]}
:[font = input; preserveAspect; ]
Eliminate[{x1==y/(2*ww),x2==y*ww/2},ww]
:[font = text; inactive; preserveAspect; endGroup; ]
The third solution is the one we want; this is a standard Cobb-Douglas production function.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Recovering the technology numerically
:[font = text; inactive; preserveAspect; ]
There are not all that many technologies that have simple closed form solutions for both the production function and the cost function.  However, it is still possible to recover an isoquant numerically or graphically.  For example, here is the "Generalized Leontieff" cost function:
:[font = input; preserveAspect; ]
c[w1_,w2_,y_] := w1 + w2+ Sqrt[w1*w2]
:[font = input; preserveAspect; ]
The factor demands are
:[font = input; preserveAspect; ]
factorDemands={D[c[w1,w2,y],w1],D[c[w1,w2,y],w2]}
:[font = text; inactive; preserveAspect; ]
Let's fix y at 10, set w2=1, and plot these equations as w1 varies.
;[s]
9:0,0;10,1;11,2;15,3;17,4;23,5;27,6;57,7;59,8;68,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; endGroup; ]
factorDemands=Evaluate[factorDemands/.{w2->1,y->10}]
ParametricPlot[factorDemands,{w1,1,20},AxesOrigin->{0,0}]
^*)