(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Uncertainty
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Risk Premium
:[font = text; inactive; preserveAspect; ]
A consumer has a constant relative risk aversion utility function with risk aversion of 3.  He currently has monthly income of 5,000 and has a 50 percent chance of incuring a loss of 500.  How much would he be willing to pay to avoid this loss?

First we define the CRRA utility function:
:[font = input; preserveAspect; ]
u[wealth_,rho_] := (wealth^(1-rho))/(1-rho)
:[font = text; inactive; preserveAspect; ]
Call the risk premium pi.  To find it, we need to solve the following equation:
;[s]
3:0,0;22,1;24,2;79,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
rho=3
loss=500
FindRoot[u[5000-pi,rho] == .5*u[5000,rho] 
+ .5*u[5000-loss,rho],{pi,500}]
:[font = text; inactive; preserveAspect; ]
Let's graph the risk premium as a function of the loss.
:[font = input; preserveAspect; ]
rho=3
plotrho3=Plot[5000 - (.5*5000^(1-rho) + 
.5*(5000-loss)^(1-rho))^(1/(1-rho)),
{loss,0,2000}]
:[font = text; inactive; preserveAspect; ]
If the consumer is more risk averse the risk premium increases more rapidly
:[font = input; preserveAspect; endGroup; ]
rho=7
plotrho7=Plot[5000 - (.5*5000^(1-rho) + 
.5*(5000-loss)^(1-rho))^(1/(1-rho)),
{loss,0,2000}]
Show[{plotrho3,plotrho7}]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
A simple portfolio problem
:[font = text; inactive; preserveAspect; ]
Let's calculate how much a consumer would invest in a risky asset.
Again, we assume a CRRA utility function and suppose that the risk asset has a 50 percent chance of a rate of return of 70% and a 50  percent chance of -30%.  Utility as a function of the investment a is
;[s]
3:0,0;266,1;267,2;270,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
eu[a_] := .5*u[wealth+.7*a,rho] + 
.5u[wealth-.3*a,rho]
:[font = text; inactive; preserveAspect; ]
Fix wealth at 1000, say, and rho at 3, and plot this as a function of a.
:[font = input; preserveAspect; ]
wealth=1000
rho=5
Plot[Evaluate[eu[a]],{a,1,600}]
:[font = text; inactive; preserveAspect; ]
It looks like this consumer would like to invest about $200.  Let's check:
:[font = input; preserveAspect; ]
FindMinimum[-eu[a],{a,200}]
:[font = text; inactive; preserveAspect; endGroup; ]
So the optimal investment is about $175.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Mean-Variance Utility
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Let's check the calculation in the text for Normally distributed wealth and  constant absolute risk averse utility function.    [To be completed...]
^*)