(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Monopoly
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Deadweight loss of monopoly
:[font = text; inactive; preserveAspect; ]
Let's see how the deadweightloss of monopoly varies with the elasticity of demand.  Suppose that utility, demand and costs are given by the following functions
:[font = input; preserveAspect; ]
u[x_] := x^(1-e)/(1-e)
c[x_] := x
p[x_] := x^(-e)
demand[p_] := p^(-1/e)
:[font = text; inactive; preserveAspect; ]
Given these relationships, we can easily calculate the equilibrium values:
:[font = input; preserveAspect; startGroup; ]
equilPrice[e_] := 1/(1-(1/e))
equilQuant[e_] := demand[equilPrice[e]]
equilWelfare[e_] := u[equilQuant[e]] - equilPrice[e]
equilWelfare[e]
:[font = output; output; inactive; preserveAspect; endGroup; ]
-(1 - e^(-1))^(-1) + (((1 - e^(-1))^(-1))^(-e^(-1)))^(1 - e)/
   (1 - e)
;[o]
               1   -(1/e) 1 - e
           ((-----)      )
                 1
             1 - -
    1            e
-(-----) + --------------------
      1           1 - e
  1 - -
      e
:[font = text; inactive; preserveAspect; ]
What a messy expression.  Note that this only makes sense for e>1.  (A monopolist never operates at an inelastic portion of the demand curve.)  Let's see how welfare varies with the elasticity:
;[s]
3:0,0;62,1;65,2;194,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
Plot[Evaluate[equilWelfare[e]],{e,1.1,5}]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Second-degree price discrimination
:[font = text; inactive; preserveAspect; ]
There are two classes of consumers with utility functions u1[x,t]=tLog[x] for t=1,2.  The monopolist has a constant marginal cost of c.  We want to find the optimal price discrimination scheme.  According to the text, we simply have to solve the following two equations:
:[font = input; preserveAspect; ]
u[x_] := Log[x]
solution=Solve[{u'[x1] -1 + u'[x1]-2u'[x2]==0,
               2u'[x2]-c == 0},{x1,x2}][[1]]
out1[c_] := Evaluate[x1/.solution]
out2[c_] := Evaluate[x2/.solution]
Plot[{out1[c],out2[c]},{c,.1,3}]
:[font = text; inactive; preserveAspect; endGroup; ]
As marginal cost increases, the prices paid by the high-demand and low-demand consumers converge.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Third degree price discrimination
:[font = text; inactive; preserveAspect; ]
Consider a two markets, each with linear demand curves.  We saw that sometimes it pays the monopolist to just sell to one market; when will that be the case?  Ideally, we would like a graph that would show us the good and bad regions.
:[font = input; preserveAspect; ]
x1[p_,a_,b_] := a - b*p
x2[p_] := 1 - p
:[font = text; inactive; preserveAspect; ]
We know that if the monopolist does sell to both markets, the price will be (1+a)/2.  So all we need to do is to graph the set of points where this price makes at least one of the two demand functions negative.  One way to do this is to solve for the values of a and b where the product of the two demand functions  is negative:
;[s]
7:0,0;76,1;83,2;261,3;262,4;267,5;268,6;329,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Solve[x1[(1+a)/2,a,b]*x2[(1+a)/2]==0,b][[1]]
ParametricPlot[{a,2a/(1+a)},{a,0,1}]
:[font = text; inactive; preserveAspect; ]
Or we can compute an indicator function and do a density plot
:[font = input; preserveAspect; endGroup; endGroup; ]
indicator[a_,b_] := 
     If[x1[(1+a)/2,a,b]*x2[(1+a)/2]<0.0,0,1]
DensityPlot[indicator[a,b],{a,0,1},{b,0,1},PlotPoints->50]
^*)