(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Game Theory
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Computing Nash equilibria
:[font = text; inactive; preserveAspect; ]
Computing Nash equilibria in a two-erpson game  is a straightforward but tedious task.  This is the kind of thing computers were made for.   Luckily John Dickhaut and Todd Kaplan of the University of Minnesota have written a Mathematica package to solve for Nash equilibrium in two-person games.  Let's load it into Mathematica and try it on a few examples from the text.
:[font = input; preserveAspect; ]
<<~/Mathematica/MicroAn/Nash.m
;[s]
3:0,0;4,1;15,2;30,-1;
3:1,10,8,Courier,1,12,0,0,0;1,10,8,Courier,3,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = input; preserveAspect; ]
?Nash
:[font = input; preserveAspect; ]
Nash[{{{2,1},{0,0}},{{0,0},{1,2}}}]
:[font = subsection; inactive; preserveAspect; startGroup; ]
Dominated strategies example
:[font = input; preserveAspect; endGroup; ]
Nash[{{{3,3},{0,3},{0,0}},
      {{3,0},{2,2},{0,2}},
      {{0,0},{2,0},{1,1}}}]
:[font = subsection; inactive; preserveAspect; startGroup; ]
Chicken
:[font = input; preserveAspect; endGroup; ]
Nash[{{{-3,-3},{2,0}},
      {{0,2  },{1,1}}}]
:[font = subsection; inactive; preserveAspect; startGroup; ]
Coordination game
:[font = input; preserveAspect; endGroup; endGroup; ]
Nash[{{{2,2},{-1,-1}},
      {{-1,-1},{1,1}}}]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Solving for Bayes-Nash equilibria
:[font = text; inactive; preserveAspect; ]
We can use Mathematica to solve the differential equation that arises in the text.
;[s]
3:0,0;11,1;22,2;82,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
DSolve[v'[b]*(v[b]-b) == v[b],v[b],b]
:[font = text; inactive; preserveAspect; ]
Actually, we can use the same analysis to solve the symmetric game for any other prior probabilty.  Let P[b] = probability that other player's valuation is less than b.  The payoff to the first player if he bids v is (v-b)P[b]; b must maximize this expression which yields the first-order condition (v-b)P'[b] + P[b] = 0.  We can use Mathematica to solve this differential equation, just as above.   Suppose, for example, that P[b] is the exponential CDF
;[s]
17:0,0;104,1;108,2;166,3;167,4;212,5;213,6;217,7;226,8;228,9;229,10;299,11;320,12;334,13;345,14;427,15;431,16;455,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
P[b_] := 1-E^(-b)
:[font = input; preserveAspect; ]
DSolve[(v[b]-b)*P'[b] + P[b]==0,v[b],b]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
This is the unique Nash equilibrium in this case.  Of course, only a few priors give you explicit functional forms.  But we can always solve the differential equation numerically using Mathematica.
;[s]
3:0,0;185,1;196,2;198,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
^*)