(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Exchange
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Edgeworth Box
:[font = text; inactive; preserveAspect; ]
Our first challenge is to draw an Edgeworth box using Mathematica.  We'll need utility functions and endowments, so:
;[s]
3:0,0;54,1;65,2;116,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
indiffA=ContourPlot[5Log[x1] + 5Log[x2],{x1,0.5,9},{x2,0.5,9},
   ContourShading->False]
indiffB=ContourPlot[3 Log[10-x1] + 7 Log[10-x2],{x1,0.5,9},{x2,0.5,9},
   ContourShading->False]
:[font = text; inactive; preserveAspect; ]
Let's plot the contract curve in this box.  The set of points were the MRS of agent A equals the MRS of agent B is given by
:[font = input; preserveAspect; ]
FOCcontractCurve=D[x1^5 x2^5,x2]/D[x1^5 x2^5,x1] -
D[(10-x1)^3 (10-x2)^7,x2]/D[(10-x1)^3 (10-x2)^7,x1]
:[font = input; preserveAspect; ]
Solve[solution==0,x2][[1]]
:[font = input; preserveAspect; ]
contractCurve1=Plot[15 x1/(35-2x1),{x1,0,10}]
Show[{indiffA,indiffB,contractCurve1}]
:[font = text; inactive; preserveAspect; ]
Sometimes it is hard to find an explicit formula for the contract curve.  But we can still plot it as an implicit function using ContourPlot.  We simply plot one contour: the contour where the equation describing the contract curve is satisfied. 
;[s]
3:0,0;129,1;139,2;247,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
contractCurve2=ContourPlot[FOCcontractCurve,{x1,.5,9},{x2,.5,9},
Contours->{0},
ContourShading->False,ContourSmoothing->True]
:[font = text; inactive; preserveAspect; ]
[In my version of Mathematica I get an extra contour; I assume that this is a bug.] Finally, we put it all together:
;[s]
3:0,0;18,1;29,2;447,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
Show[indiffA,indiffB,contractCurve2]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Solving for equilibrium
:[font = text; inactive; preserveAspect; ]
If the equations describing the demand functions are simple enough, we can solve algebraically for the equilibrium.  But in more complicated cases, we'll have to solve numerically.  Here agent A has Cobb-Douglas demand parameter a, agent B has parameter B, and we set price 2 equal to 1.
:[font = input; preserveAspect; ]
Simplify[Solve[a (p*wA1 + wA2)/p1 + 
b*(p*wB1 + wB2)/p==wA1+wB1,p][[1]]]
:[font = text; inactive; preserveAspect; ]
We'll solve a CES case numerically.  Let the CES parameters be 1 and 2, and let each agent have 10 units of each good.  It's a good idea to plot the equation first to see what the demand function looks like.
:[font = input; preserveAspect; ]
equationToSolve=
        (p 10 + 10) p^(-2) /(p^(-1) + 1) + 
        (p 10 + 10) p^(-3) /(p^(-2) + 1) - 20
Plot[ equationToSolve,{p,.1,10}]
:[font = text; inactive; preserveAspect; ]
Hmm.  Looks like the solution is p=1; let's check:
;[s]
3:0,0;33,1;36,2;51,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
FindRoot[ (p 10 + 10) p^(-1) /(p^(-1) + 1) + 
        (p 10 + 10) p^(-2) /(p^(-2) + 1) - 20,{p,.5}]
:[font = text; inactive; preserveAspect; ]
Yep.  Let's go back and look at equationToSolve again...
;[s]
3:0,0;32,1;47,2;57,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Simplify[equationToSolve]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
That makes it pretty obvious that p=1 is a solution...can yous see why?
^*)