(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Production
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Robinson Crusoe economy
:[font = text; inactive; preserveAspect; ]
Let's draw a picture of a Robinson Crusoe economy.
:[font = input; preserveAspect; endGroup; ]
u[c_,L_,a_] := Evaluate[pc^a (16-L)^(1-a)]
f[L_] = Sqrt[L]
maxOutput=f[16]
indiffCurves=ContourPlot[u[c,L,0.5],{L,1,15},{c,.1,9},
ContourShading->False]
technology=Plot[f[16-L],{L,1,15}]
Show[indiffCurves,technology]
:[font = section; inactive; preserveAspect; startGroup; ]
Nonsubstitution theorem
:[font = text; inactive; preserveAspect; ]
Here we'll solve for an equilibrium in a  world where the Nonsubstitution Theorem applies.
:[font = input; preserveAspect; ]
c1[w0_,w1_,w2_,a0_,a1_,a2_] :=
   Evaluate[(a0^a0)(a1^a1)(a2^a2) w0^a0 w1^a1 w2^a2]
c2[w0_,w1_,w2_,b0_,b1_,b2_] :=
   Evaluate[(b0^b0)(b1^b1)(b2^b2) w0^b0 w1^b1 w2^b2]
:[font = text; inactive; preserveAspect; ]
Mathematica can't solve these equations symbolically.  (However, it's not too hard to transform it so the system can be solved: if you take logs of each side you have  a linear system.)  On the other hand, it is not hard at all to solve it numerically.  
;[s]
2:0,0;11,1;254,-1;
2:1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
FindRoot[{w1-c1[1,w1,w2,.2,.4,.4],
          w2-c2[1,w1,w2,.1,.5,.4]},{w1,1,2},{w2,1,2}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{w1 -> 0.001810168513297877 - 3.337853820231102*10^-7*I, 
  w2 -> 0.001076332879608338 - 2.015855685115029*10^-7*I}
;[o]
                              -7
{w1 -> 0.00181017 - 3.33785 10   I, 
 
                               -7
  w2 -> 0.00107633 - 2.01586 10   I}
:[font = input; preserveAspect; endGroup; endGroup; ]
THIS NEEDS FIXING!
^*)