(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Time
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; preserveAspect; startGroup; ]
Dynamic programming
:[font = text; inactive; preserveAspect; ]
Dynamic programming is a powerful way to solve optimization problems.  We consider the problem described in the text here, but in order to keep things simple we will ignore the uncertainty.   Recall that the one-period objective function is Log[c] and the discount factor is alpha.  We use w to denote wealth and R is the total return on savings.
;[s]
9:0,0;241,1;247,2;275,3;280,4;290,5;291,6;313,7;314,8;347,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Two-period case
:[font = input; preserveAspect; ]
U[c_] := Log[c] + alpha Log[(w-c)R]
solution1=Solve[D[U[c],c]==0,c][[1]]
:[font = text; inactive; preserveAspect; ]
Substituting back into U[c] gives us the indirect utility function.  We clear c after we're done so it won't interfer with the calculations further on.
;[s]
3:0,0;23,1;27,2;151,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
Simplify[U[c]/.solution1]
Clear[c]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Calculating the value function by recursion
:[font = text; inactive; preserveAspect; ]
 Let's try to program Mathematica to do the dynamic programming recursion all by itself. As it turns out the only thing that we have to do is to make the consumption variable, c,  "local" to the routine where it is being calculated.   Otherwise, Mathematica gets confused by all the values of c that are floating around.  To do this, we use the Module construction. Here's how it works.
;[s]
11:0,0;22,1;33,2;176,3;177,4;246,5;257,6;292,7;294,8;345,9;351,10;386,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
V[w_,t_]:=
 Module[{c},
 Log[c] + alpha*V[(w-c)*R,t+1]/.Solve[D[Log[c] 
        + alpha*V[(w-c)*R,t+1],c]==0,c][[1]]]

V[w_,3] := Log[w]

:[font = input; preserveAspect; ]
V[w,3]
:[font = input; preserveAspect; ]
V[w,2]
:[font = input; preserveAspect; endGroup; ]
Simplify[V[w,1]]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Solving for consumption
:[font = text; inactive; preserveAspect; ]
Once we have the value function, it is easy to solve for consumption in a given period. 
First let's check that we get the same values as before one period before the end.

:[font = input; preserveAspect; ]
V[w,2]
Solve[D[Log[c] + alpha*V[(w-c)*r,3],c]==0,c][[1]]
:[font = text; inactive; preserveAspect; ]
Yep, that checks.  Here's first period consumption in a 3-period problem.
:[font = input; preserveAspect; ]
Solve[D[Log[c] + alpha*V[(w-c)*r,2],c]==0,c][[1]]
:[font = text; inactive; preserveAspect; ]
To solve for first-period consumption in, say, a 5-period problem, we have to go back and redefine V.
:[font = input; preserveAspect; ]
Clear[V]
V[w_,t_]:= 
 Module[{c},
 Log[c] + alpha*V[(w-c)*R,t+1]/.Solve[D[Log[c] 
        + alpha*V[(w-c)*R,t+1],c]==0,c][[1]]]

V[w_,5] := Log[w]


:[font = input; preserveAspect; ]
Solve[D[Log[c] + alpha*V[(w-c)*r,2],c]==0,c][[1]]
:[font = text; inactive; preserveAspect; endGroup; ]
Note that consumption is independent of the rate of return, as we argued in the text.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Speeding things up
:[font = text; inactive; preserveAspect; ]
Actually, we should define the value function a little bit differently if we want to use Mathematica efficiently.  When we calculate V[w,1], we have to calculate all the other values of V[w,t].  When we calculate V[w,2] we have to calculate those values all over again.  We can tell Mathematica to "remember" the values of the V[w,t] function by using the following construction:
;[s]
9:0,0;89,1;100,2;133,3;139,4;213,5;219,6;283,7;294,8;380,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
VV[w_,t_]:= VV[w,t] =
 Module[{c},
 Log[c] + alpha*VV[(w-c)*R,t+1]/.Solve[D[Log[c] 
        + alpha*VV[(w-c)*R,t+1],c]==0,c][[1]]]

VV[w_,5] := Log[w]


:[font = input; preserveAspect; ]
Timing[V[w,1];]
Timing[V[w,2];]
:[font = input; preserveAspect; ]
Timing[VV[w,1];]
Timing[VV[w,2];]
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
Note that the second way of calculating the value function is a lot faster.
^*)