(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Asset Markets
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Mean-Variance Frontier
:[font = text; inactive; preserveAspect; ]
Let's start out by deriving the mean-variance frontier used in the text.  We want to minimize variance subject to the constraint that we have a portfolio and that it has a given return.  If there are two risky assets, we have the following means and variances
:[font = input; preserveAspect; ]
var[x1_,x2_,s11_,s12_,s22_] := x1^2 s11 + 2 x1 x2 s12 + x2^2 s22
ER[x1_,x2_,R1_,R2_] := x1 R1 + x2 R2
L = var[x1,x2,s11,s12,s22] - lambda*(ER[x1,x2,R1,R2] - Rp) - 
   mu*(x1  + x2  - 1)
:[font = input; preserveAspect; ]
solution=Simplify[
		  Solve[{D[L,x1]==0,D[L,x2]==0,D[L,lambda]==0,D[L,mu]==0},
		        {x1,x2,lambda,mu}]][[1]]
portfolioVariance[Rp_,R1_,R2_,s11_,s12_,s22_] := 
     Evaluate[var[x1,x2,s11,s12,s22]/.solution]
portfolioVariance[Rp,R1,R2,s11,s12,s22]


:[font = text; inactive; preserveAspect; ]
Now let's plot the return and variance.  We use ParametricPlot.
;[s]
2:0,0;48,1;63,-1;
2:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = input; preserveAspect; ]
ParametricPlot[{portfolioVariance[Rp,0.10,0.15,0.5,0.2,0.4],Rp},
                {Rp,-0.1,0.35},AxesOrigin->{0,0}]
:[font = text; inactive; preserveAspect; ]
In mean-standard-deviation space, the plot looks like this:
:[font = input; preserveAspect; endGroup; endGroup; ]
ParametricPlot[{Sqrt[portfolioVariance[Rp,0.10,0.15,0.5,0.2,0.4]],Rp},
                {Rp,-0.1,0.35},AxesOrigin->{0,0}]
^*)