(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Public Goods
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Efficent provision of a public good
:[font = text; inactive; preserveAspect; ]
Let's calculate the Pareto efficient amount of a public good for two  Cobb-Douglas consumers with identical utility functions.  Again, we'll maximize a weighted sum of utilities.  Assume that each agent has 10 units of the private good and that 1 unit of the public good can be produced from one unit of the private good.   The first agent puts twice the weight on the public good as the second agent.
:[font = input; preserveAspect; endGroup; ]
L= a(2Log[G] + Log[x1]) + (1-a)( Log[G]+ Log[20-G-x1])
solution=Solve[{D[L,G]==0,D[L,x1]==0},{G,x1}][[1]]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Nash provision of a public good
:[font = text; inactive; preserveAspect; ]
Let's figure out how much of the public good we get if each agent contributes voluntarily.  We have to solve for a Nash equilibrium.
:[font = input; preserveAspect; ]
solution1=Solve[D[2Log[g1 + g2] + Log[10-g1],g1]==0,g1][[1]] 
G1[g2_] := Max[g1,0]/.solution1
G1[g2]
:[font = input; preserveAspect; ]
solution2=Solve[D[Log[g1 + g2] + Log[10-g2],g2]==0,g2][[1]] 
:[font = input; preserveAspect; ]
G2[g1_] := Max[g2,0]/.solution2
G2[g1]
:[font = text; inactive; preserveAspect; ]
Now Plot the two reaction curves.
;[s]
3:0,0;4,1;8,2;34,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
reaction1=Plot[Evaluate[G2[g1]],{g1,0,15}]
Show[reaction1,reaction2]
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Sequential provision of a public good
:[font = text; inactive; preserveAspect; ]
Suppose now that agent 1 contributes to the public good first.  Agent 1's objective function is:
:[font = input; preserveAspect; ]
v1[g1_] := 2Log[g1+G2[g1]] + Log[10-g1]
Plot[v1[g1],{g1,0,9.9}]
:[font = text; inactive; preserveAspect; ]
Agent 1 appears to have an interior maximum; let's check:
:[font = input; preserveAspect; ]
FindMinimum[-v1[g1],{g1,5,6}]
:[font = text; inactive; preserveAspect; ]
What if agent 2 contributes first?  Then we have
:[font = input; preserveAspect; ]
v2[g2_] := Log[G1[g2] + g2] + Log[10-g2]
Plot[v2[g2],{g2,0,9.9}]
:[font = text; inactive; preserveAspect; ]
The optimal choice of agent 2 appears to be zero.  Let's check:
:[font = input; preserveAspect; endGroup; endGroup; ]
FindMinimum[-v2[g2],{g2,5,6}]
^*)